Page MenuHomePhabricator

Decommission database hosts <= db2031 (tracking)
Closed, ResolvedPublic

Event Timeline

jcrespo created this task.Sep 19 2017, 6:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 6:26 PM
Marostegui moved this task from Triage to Meta/Epic on the DBA board.Sep 25 2017, 4:36 AM
Marostegui triaged this task as Medium priority.Sep 25 2017, 12:30 PM

Change 392879 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: s5 master switchover from db2023 to db2052

https://gerrit.wikimedia.org/r/392879

Change 392881 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Switchover s5 codfw master (db2023) to db2052

https://gerrit.wikimedia.org/r/392881

Change 392881 merged by Jcrespo:
[operations/puppet@production] mariadb: Switchover s5 codfw master (db2023) to db2052

https://gerrit.wikimedia.org/r/392881

Change 392879 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Switchover codfw s5 master from db2023 to db2052

https://gerrit.wikimedia.org/r/392879

jcrespo edited projects, added Goal; removed Patch-For-Review.Dec 21 2017, 10:19 AM

Change 401706 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Promote db2039 to be the new master of s6-codfw

https://gerrit.wikimedia.org/r/401706

Change 401710 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/software@master] dblist: Reorder db2028 & db2039 because master switchover

https://gerrit.wikimedia.org/r/401710

Change 401706 merged by Jcrespo:
[operations/puppet@production] mariadb: Promote db2039 to be the new master of s6-codfw

https://gerrit.wikimedia.org/r/401706

Change 401734 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Switchover s6-codfw master to db2039

https://gerrit.wikimedia.org/r/401734

Change 401734 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Switchover s6-codfw master to db2039

https://gerrit.wikimedia.org/r/401734

Change 401710 merged by Jcrespo:
[operations/software@master] dblist: Reorder db2028 & db2039 because master switchover

https://gerrit.wikimedia.org/r/401710

Change 402875 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Depool db2040 for maintenance

https://gerrit.wikimedia.org/r/402875

Change 402875 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Depool db2040 for maintenance

https://gerrit.wikimedia.org/r/402875

Change 403387 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Repool db2040

https://gerrit.wikimedia.org/r/403387

Change 403387 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Repool db2040

https://gerrit.wikimedia.org/r/403387

Change 403451 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Promote db2040 to be the codfw-s7 master instead of db2029

https://gerrit.wikimedia.org/r/403451

Change 403453 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Promote db2040 as the new codfw-s7 master

https://gerrit.wikimedia.org/r/403453

Change 403451 merged by Jcrespo:
[operations/puppet@production] mariadb: Promote db2040 to be the codfw-s7 master instead of db2029

https://gerrit.wikimedia.org/r/403451

Change 403453 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Promote db2040 as the new codfw-s7 master

https://gerrit.wikimedia.org/r/403453

Change 403905 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Depool db2035 for maintenance

https://gerrit.wikimedia.org/r/403905

Change 403905 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Depool db2035 for maintenance

https://gerrit.wikimedia.org/r/403905

Change 404268 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: switchover s2 codfw master from db2017 to db2035

https://gerrit.wikimedia.org/r/404268

Change 404270 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Switchover codfw s2 master from db2017 to db2035

https://gerrit.wikimedia.org/r/404270

Change 404268 merged by Jcrespo:
[operations/puppet@production] mariadb: switchover s2 codfw master from db2017 to db2035

https://gerrit.wikimedia.org/r/404268

Change 404270 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Switchover codfw s2 master from db2017 to db2035

https://gerrit.wikimedia.org/r/404270

Change 404310 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Switchover s3 codfw master from db2018 to db2036

https://gerrit.wikimedia.org/r/404310

Change 404313 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Switchover s3 codfw master from db2018 to db2036

https://gerrit.wikimedia.org/r/404313

Change 404313 merged by Jcrespo:
[operations/puppet@production] mariadb: Switchover s3 codfw master from db2018 to db2036

https://gerrit.wikimedia.org/r/404313

Change 404310 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Switchover s3 codfw master from db2018 to db2036

https://gerrit.wikimedia.org/r/404310

jcrespo renamed this task from Decommission database hosts < db2030 (tracking) to Decommission database hosts <= db2031 (tracking).Feb 7 2018, 2:40 PM

The DBA side is all done - only pending the DC Ops steps for: T187886 T187543 T187768

Change 420978 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Cleanup hosts that are no longer part of production

https://gerrit.wikimedia.org/r/420978

Change 420978 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Cleanup hosts that are no longer part of production

https://gerrit.wikimedia.org/r/420978

jcrespo added subscribers: Papaul, RobH.EditedMar 21 2018, 11:23 AM

@RobH @Papaul From our point of view, all hosts from db2001 to db2032 have been either decommissioned, scheduled for decommission or renamed/never existed. Can you check on your end that is true, and that there is no host in a limbo state?

Once we agree on this- I will close the ticket (but leave alone the open decommission tasks, as they may be pending).

Marostegui moved this task from Meta/Epic to Done on the DBA board.Apr 30 2018, 6:25 AM
Marostegui closed this task as Resolved.May 3 2018, 3:43 PM

This task is now completely done.
Thanks everyone who helped on getting this goal finished!

This comment was removed by Marostegui.